﻿
//Ios webkit WKHashMap对象要放在ajax前面才能正确执行，不知道为什么
var WKHashMap = function()
{  
    //定义长度  
    var length = 0;  
    //创建一个对象  
    var obj = new Object();  
  
    /** 
    * 判断Map是否为空 
    */  
    this.isEmpty = function(){  
        return length == 0;  
    };  
  
    /** 
    * 判断对象中是否包含给定Key 
    */  
    this.containsKey=function(key){  
        return (key in obj);  
    };  
  
    /** 
    * 判断对象中是否包含给定的Value 
    */  
    this.containsValue=function(value){  
        for(var key in obj){  
            if(obj[key] == value){  
                return true;  
            }  
        }  
        return false;  
    };  
  
    /** 
    *向map中添加数据 
    */  
    this.put=function(key,value){  
        if(!this.containsKey(key)){  
            length++;  
        }  
        obj[key] = value;  
    };  
  
    /** 
    * 根据给定的Key获得Value 
    */  
    this.get=function(key){  
        return this.containsKey(key)?obj[key]:null;  
    };  
  
    /** 
    * 根据给定的Key删除一个值 
    */  
    this.remove=function(key){  
        if(this.containsKey(key)&&(delete obj[key])){  
            length--;  
        }  
    };  
  
    /** 
    * 获得Map中的所有Value 
    */  
    this.values=function(){  
        var _values= new Array();  
        for(var key in obj){  
            _values.push(obj[key]);  
        }  
        return _values;  
    };  
  
    /** 
    * 获得Map中的所有Key 
    */  
    this.keySet=function(){  
        var _keys = new Array();  
        for(var key in obj){  
            _keys.push(key);  
        }  
        return _keys;  
    };  
  
    /** 
    * 获得Map的长度 
    */  
    this.size = function(){  
        return length;  
    };  
  
    /** 
    * 清空Map 
    */  
    this.clear = function(){  
        length = 0;  
        obj = new Object();  
    };  
} 


//数据库对象
var webkitobjectid = 0;

var DB = function()
{
	 this.id= webkitobjectid++;
	 this.objName = "db";
	 this.dbName = "";
	 this.dbPath = "";
	 this.open = function(dbName,path)
	 {
	 		 var count = arguments.length
	 		 if(count == 1)
	 		 {
	 		 	 path = "";
	 		 }
	  	 this.dbName = dbName;
	  	 this.dbPath = path;
	  	 Log.i("DB","open name=" + dbName + " path=" + path + " id=" + this.id + " arguments.length=" + arguments.length);
	  	 var text = Bridge.callRetStr('s_DB_open',this.id,this.dbName,this.dbPath, null, null,null,null);
	  	 return stringToBool(text);
	 };
	 this.isOpen = function()
	 {
	 		var text = Bridge.callRetStr('s_DB_isopen',this.id,this.dbName,this.dbPath, null, null,null,null);	 		
	 		return stringToBool(text);
	 };	
	 this.close = function()
	 {
	 		var text = Bridge.callRetStr('s_DB_close',this.id,this.dbName,this.dbPath, null, null,null,null);
	 		return stringToBool(text);
	 };
	 this.createTable = function(tableName,args)
	 {
	 	  var json = arrayToJsonString(args);	 		
	 		var text = Bridge.callRetStr('s_DB_createTable',this.id,tableName,json, null, null,null,null);
	 		return stringToBool(text);
	 };	
	 this.dropTable = function(tableName)
	 {	 	  
	 		var text = Bridge.callRetStr('s_DB_dropTable',this.id,tableName,null, null, null,null,null);
	 		return stringToBool(text);
	 };	
	 this.isTableExist = function(tableName)
	 {
	 		var text = Bridge.callRetStr('s_DB_isTableExist',this.id,tableName,null, null, null,null,null);
	 		return stringToBool(text);
	 };	
	 this.getTableCols = function(tableName)
	 {
	 		var text = Bridge.callRetStr('s_DB_getTableCols',this.id,tableName,null, null, null,null,null);
	 		return jsonStringToArray(text);
	 };	
	 this.addCol = function(tableName, colName, colType, colDefaultvalue)
	 {
	 		var count = arguments.length
	 		if(count == 3)
	 		{
	 			 colDefaultvalue = "";
	 		}
	 		var text = Bridge.callRetStr('s_DB_addCol',this.id,tableName,colName, colType, colDefaultvalue,null,null);
	 		return stringToBool(text);
	 };	 
	 this.query = function(sql)
	 {
	 		var text = Bridge.callRetStr('s_DB_query',this.id,sql,null, null, null,null,null);
	 		var json = JSON.parse(text);
	 		return json; 		
	 }
	 this.execute = function(sql)
	 {
	 		var text = Bridge.callRetStr('s_DB_execute',this.id,sql,null, null, null,null,null);
	 		return stringToBool(text);
	 };
	 this.executes = function(sqls)
	 {
	 	  var text = arrayToJsonString(sqls);
	 		var res = Bridge.callRetStr('s_DB_executes',this.id,text,null, null, null,null,null);
	 		return stringToBool(res);
	 };
	 this.transaction = function(sqls)
	 {
	 	  var text = arrayToJsonString(sqls);
	 		var res = Bridge.callRetStr('s_DB_transaction',this.id,text,null, null, null,null,null);
	 		return stringToBool(res);
	 };
	 this.insert = function(tabName,colNames,colValues)
	 {	 	  
	 	  var text = arrayToJsonString(colNames);
	 	  var text1 = arrayToJsonString(colValues);
	 		var res = Bridge.callRetStr('s_DB_insert',this.id,tabName,text, text1, null,null,null);
	 		return stringToBool(res);
	 };	 
	 this.update = function(tabName, colNames, colValues, optionColNames,optionColValues)
	 {
	 	  var text1 = arrayToJsonString(colNames);
	 	  var text2 = arrayToJsonString(colValues);
	 	  var text3 = arrayToJsonString(optionColNames);
	 	  var text4 = arrayToJsonString(optionColValues);
	 		var res = Bridge.callRetStr('s_DB_update',this.id,tabName,text1, text2, text3,text4,null);
	 		return stringToBool(res);
	 };
	 this.deleteData = function(tabName, optionColNames,optionColValues)
	 {	 	 
	 	  var text1 = arrayToJsonString(optionColNames);
	 	  var text2 = arrayToJsonString(optionColValues);
	 		var res = Bridge.callRetStr('s_DB_deleteData',this.id,tabName,text1, text2, null,null,null);
	 		return stringToBool(res);
	 };
}


//编/解码类工具类
var EncryptionUtil={};
EncryptionUtil.aesbase64Encode = function(input,key)
{
	 return Bridge.callRetStr('s_EncryptionUtil_aesbase64Encode' ,input, key, null, null, null,null,null);
};
EncryptionUtil.base64aesDecode = function(input,key)
{
	 return Bridge.callRetStr('s_EncryptionUtil_base64aesDecode' ,input, key, null, null, null,null,null);
};
EncryptionUtil.aesFileDecode = function(srcPath,dstPath,key){
	 Bridge.callRetStr('s_EncryptionUtil_aesFileDecode' ,srcPath,dstPath,key, null, null,null,null);
};
EncryptionUtil.aesFileEncode = function(srcPath,dstPath,key){
	 Bridge.callRetStr('s_EncryptionUtil_aesFileEncode' ,srcPath,dstPath,key, null, null,null,null);
};
EncryptionUtil.base64Decode  = function(src){
	 return Bridge.callRetStr('s_EncryptionUtil_base64Decode' ,src, null, null, null, null,null,null);
};
EncryptionUtil.base64Encode  = function(src){
	 return Bridge.callRetStr('s_EncryptionUtil_base64Encode' ,src, null, null, null, null,null,null);
};
EncryptionUtil.createQrImage = function(content,savePath,size,successCallFun,errorCallFun)
{
	 Bridge.callByNotify(createQrImageCallBackSuccess,successCallFun,createQrImageCallBackFail,errorCallFun,null,'s_EncryptionUtil_createQrImage',content,savePath,size,null, null, null,null);
	
};

function createQrImageCallBackSuccess(id,path)
{
		//获取回调对象
		var callback = Bridge.callbacks[id];
		//调用回调函数
		callback.usercallback1(path);
}
function createQrImageCallBackFail(id,path)
{
		//获取回调对象
		var callback = Bridge.callbacks[id];
		//调用回调函数
		callback.usercallback1(path);
}


EncryptionUtil.md5  = function(src){
	 return Bridge.callRetStr('s_EncryptionUtil_md5' ,src, null, null, null, null,null,null);
};
EncryptionUtil.urlEncode = function(src,encodeType){
	 return Bridge.callRetStr('s_EncryptionUtil_urlEncode' ,src, encodeType, null, null, null,null,null);
};
//通讯录操作工具类（ContactUtil）暂不支持
//终端设备操作工具类
var DeviceUtil={};
DeviceUtil.startLight = function(){
	 Bridge.callRetStr('s_DeviceUtil_startLight',null,null,null, null, null,null,null);
};
DeviceUtil.closeLight = function(){
	 Bridge.callRetStr('s_DeviceUtil_closeLight',null,null,null, null, null,null,null);
};
DeviceUtil.getEsn = function(){
   return Bridge.callRetStr('s_DeviceUtil_getEsn' ,null, null, null, null, null,null,null);
};
DeviceUtil.getImsi = function(){
   return Bridge.callRetStr('s_DeviceUtil_getImsi' ,null, null, null, null, null,null,null);
};
DeviceUtil.getMac = function(){
   return Bridge.callRetStr('s_DeviceUtil_getMac' ,null, null, null, null, null,null,null);
};
DeviceUtil.getOs = function(){
   return Bridge.callRetStr('s_DeviceUtil_getOs' ,null, null, null, null, null,null,null);
};
DeviceUtil.getOsVersion = function(){
   return Bridge.callRetStr('s_DeviceUtil_getOsVersion' ,null, null, null, null, null,null,null);
};
DeviceUtil.getPhoneModel = function(){
   return Bridge.callRetStr('s_DeviceUtil_getPhoneModel' ,null, null, null, null, null,null,null);
};
DeviceUtil.getScreenHeight = function()
{
   return stringToInt(Bridge.callRetStr('s_DeviceUtil_getScreenHeight' ,null, null, null, null, null,null,null));
};
DeviceUtil.getScreenWidth = function()
{
   return stringToInt(Bridge.callRetStr('s_DeviceUtil_getScreenWidth' ,null, null, null, null, null,null,null));
};
DeviceUtil.getNotifyBarHeight = function()
{
   return stringToInt(Bridge.callRetStr('s_DeviceUtil_getNotifyBarHeight' ,null, null, null, null, null,null,null));
};
DeviceUtil.getLanguage = function(){
   return Bridge.callRetStr('s_DeviceUtil_getLanguage' ,null, null, null, null, null,null,null);
};
DeviceUtil.setVolume = function(dwVolume){
	 Bridge.callRetStr('s_DeviceUtil_setVolume',dwVolume,null,null, null, null,null,null);
};
DeviceUtil.vibrate = function(){
	 Bridge.callRetStr('s_DeviceUtil_vibrate',null,null,null, null, null,null,null);
};
DeviceUtil.getDeviceType = function()
{
	 return Bridge.callRetStr('s_DeviceUtil_getDeviceType',null,null,null, null, null,null,null);
};
DeviceUtil.getAvailableMemory = function()
{
	 var text = Bridge.callRetStr('s_DeviceUtil_getAvailableMemory',null,null,null, null, null,null,null);
	 return stringToDouble(text);
};


//短信工具类
var SmsUtil={};
SmsUtil.openSystemSms = function(phone,content){
	 Bridge.callRetStr('s_SmsUtil_openSystemSms',phone,content,null, null, null,null,null);
};
SmsUtil.sendSms = function(phone,content){
	 Bridge.callRetStr('s_SmsUtil_sendSms',phone,content,null, null, null,null,null);
};
//电话工具类
var PhoneUtil={};	
PhoneUtil.openSystemDial = function(phone){
	 Bridge.callRetStr('s_PhoneUtil_openSystemDial',phone,null,null, null, null,null,null);
};
PhoneUtil.tel = function(phone){
	 Bridge.callRetStr('s_PhoneUtil_tel',phone,null,null, null, null,null,null);
};
PhoneUtil.getCallRecords = function(callType)
{
	 if(arguments.length == 0)
	 {
	 	 callType = null;
	 }
   var str = Bridge.callRetStr('s_PhoneUtil_getCallRecords' ,callType, null, null, null, null,null,null);
   return JSON.parse(str);
};	
//文件操作工具类
var FileUtil={};
FileUtil.deleteFolder = function(dir)
{
   return stringToBool(Bridge.callRetStr('s_FileUtil_deleteFolder' ,dir, null, null, null, null,null,null));
};
FileUtil.readFile = function(filePath){
   return Bridge.callRetStr('s_FileUtil_readFile' ,filePath, null, null, null, null,null,null);
};	
FileUtil.writeFile = function(filePath,content,mode)
{
   return stringToBool(Bridge.callRetStr('s_FileUtil_writeFile' ,filePath,content,mode, null, null,null,null));
};
FileUtil.unZip = function(zipFilePath,folderFilePath,unzipCallBack,pwd){
var count = arguments.length;
if(count==3)
{
	Bridge.callByNotify(_unzipCallBack,unzipCallBack,null,null,null,'s_FileUtil_unZip',zipFilePath,folderFilePath,"", null, null,null,null);
}else if(count==4)
{
	Bridge.callByNotify(_unzipCallBack,unzipCallBack,null,null,null,'s_FileUtil_unZip',zipFilePath,folderFilePath,pwd, null, null,null,null);
}
    
};	
function _unzipCallBack(id,result,path){
		//获取回调对象
		var callback = Bridge.callbacks[id];
		//调用回调函数
		callback.usercallback1(result,path);
}

//压缩文件 支持文件或文件夹
FileUtil.zip = function(folderFilePath,zipFilePath,zipCallBack,pwd){
var count = arguments.length;
if(count==3)
{
	Bridge.callByNotify(_zipCallBack,zipCallBack,null,null,null,'s_FileUtil_zip', folderFilePath, zipFilePath, "",null,null,null,null);
}else if(count==4)
{
	Bridge.callByNotify(_zipCallBack,zipCallBack,null,null,null,'s_FileUtil_zip', folderFilePath, zipFilePath, pwd,null,null,null,null);
}
		
};
//压缩文件回调函数
function _zipCallBack(id,result,path){
		//获取回调对象
		var callback = Bridge.callbacks[id];
		//调用回调函数
		callback.usercallback1(result,path);
}
//定位操作工具类
var GpsUtil = {};
GpsUtil.getCellIdInfo = function()
{
   var str = Bridge.callRetStr('s_GpsUtil_getCellIdInfo' ,null, null, null,null,null,null,null);
   return JSON.parse(str);
};
GpsUtil.getGpsState = function()
{
   return stringToBool(Bridge.callRetStr('s_GpsUtil_getGpsState' ,null, null, null,null,null,null,null));
};
GpsUtil.getNetGpsState = function()
{
   return stringToBool(Bridge.callRetStr('s_GpsUtil_getNetGpsState' ,null, null, null,null,null,null,null));
};
GpsUtil.startGpsSetting = function()
{
   Bridge.callRetStr('s_GpsUtil_startGpsSetting' ,null, null, null,null,null,null,null);
};
//基座相关工具类
var ClientUtil = {};

ClientUtil.exit = function(content){
	 Bridge.callRetStr('s_ClientUtil_exit' ,content, null, null,null,null,null,null);
};
ClientUtil.exitNoAsk = function(){
	 Bridge.callRetStr('s_ClientUtil_exitNoAsk' ,null, null, null,null,null,null,null);
};
ClientUtil.getBadgeNumber = function(){
	 return stringToInt(Bridge.callRetStr('s_ClientUtil_getBadgeNumber' ,null, null, null,null,null,null,null));
};
ClientUtil.setBadgeNumber = function(number){
	 Bridge.callRetStr('s_ClientUtil_setBadgeNumber' ,number, null, null,null,null,null,null);
};
ClientUtil.getClientId = function(){
	 return Bridge.callRetStr('s_ClientUtil_getClientId' ,null, null, null,null,null,null,null);
};
ClientUtil.getRegister = function()
{
   var str = Bridge.callRetStr('s_ClientUtil_getRegister' ,null, null, null,null,null,null,null);
   var jsonObj = JSON.parse(str);  
   var register = new RegisterInfo();
   register.objName = jsonObj.objName;
   register.phone = jsonObj.phone;
   register.username = jsonObj.username;
   register.ec = jsonObj.ec;
   return register;
};
ClientUtil.setRegister = function(registerInfo,successFun,errorFun)
{
    var register = '{'+'"objName":"'+registerInfo.objName+'"'+',"phone":"'+registerInfo.phone+'"'+',"username":"'+registerInfo.username+'"'+',"ec":"'+registerInfo.ec+'"'+'}';
    Log.i("setRegister",register);
    if(arguments.length == 3)
	  {
	  	
	  }
	  else  if(arguments.length == 2)
	  {
	  	 errorFun = null;
	  }
	  else
	  {
	  	 successFun = null;
	  	 errorFun = null;
	  }	 
	  var isHasSuccessFun = false;
	  if(successFun != null)
	  	isHasSuccessFun = true;
	  var isHasFailFun = false;
	  if(errorFun != null)
	  	isHasFailFun = true;	  
	 	Bridge.callByNotify(WebkitSetRegisterSuccessCallBack,successFun,WebkitSetRegisterFailCallBack,errorFun,null,'s_ClientUtil_setRegister' ,register, isHasSuccessFun, isHasFailFun,null,null,null,null);
};
function RegisterInfo() 
{
	this.objName = "registerinfo";
  this.phone = "";
  this.username = "";
	this.ec = "";  
}
function WebkitSetRegisterSuccessCallBack(id,text)
{
	  var json = JSON.parse(text);	 		
		var callback = Bridge.callbacks[id];
		if(callback.usercallback1)
		{
			 callback.usercallback1(json);
		}		
}
function WebkitSetRegisterFailCallBack(id,text)
{
	  var json = JSON.parse(text);
		//获取回调对象
		var callback = Bridge.callbacks[id];
		if(callback.usercallback2)
		{
			callback.usercallback2(json);
		}
}
ClientUtil.getSetting = function()
{
   var str =  Bridge.callRetStr('s_ClientUtil_getSetting' ,null, null, null, null, null,null,null);
   var jsonObj = JSON.parse(str);
   var setting = new SettingInfo();
   setting.objName = jsonObj.objName;
   setting.ip = jsonObj.ip;
   setting.port = jsonObj.port;
   setting.sslport = jsonObj.sslport;
   setting.isssl = jsonObj.isssl;
   setting.cachetime = jsonObj.cachetime;
   setting.ispushopen = jsonObj.ispushopen;
   return setting;
};
ClientUtil.saveSetting = function(settingInfo)
{
   var setting = '{'+'"objName":"'+settingInfo.objName+'"'+',"ip":"'+settingInfo.ip+'"'+',"port":"'+settingInfo.port+'"'+',"sslport":"'+settingInfo.sslport+'"'+',"isssl":"'+settingInfo.isssl+'"'+',"cachetime":"'+settingInfo.cachetime+'"'+',"ispushopen":"'+settingInfo.ispushopen+'"'+'}';
	 Bridge.callRetStr('s_ClientUtil_saveSetting' ,setting, null, null,null,null,null,null);
};
function SettingInfo() 
{
	var str =  Bridge.callRetStr('s_ClientUtil_getSetting' ,null, null, null, null, null,null,null);
  var jsonObj = JSON.parse(str);
	this.objName = jsonObj.objName;
  this.ip = jsonObj.ip;
  this.port = jsonObj.port;
  this.sslport = jsonObj.sslport;
  this.isssl = jsonObj.isssl;
  this.cachetime = jsonObj.cachetime;
  this.ispushopen = jsonObj.ispushopen;	  
}
ClientUtil.getVersion = function(){
	 return Bridge.callRetStr('s_ClientUtil_getVersion' ,null, null, null,null,null,null,null);
};
ClientUtil.shareClientToFriends = function(){
	 Bridge.callRetStr('s_ClientUtil_shareClientToFriends' ,null, null, null,null,null,null,null);
};
ClientUtil.startClientUpdate = function(){
	 Bridge.callRetStr('s_ClientUtil_startClientUpdate' ,null, null, null,null,null,null,null);
};
ClientUtil.startAppUpdate = function(){
	 Bridge.callRetStr('s_ClientUtil_startAppUpdate' ,null, null, null,null,null,null,null);
};
ClientUtil.cleanCache = function()
{
	 return stringToBool(Bridge.callRetStr('s_ClientUtil_cleanCache' ,null, null, null,null,null,null,null));
};
ClientUtil.execScript = function(script)
{
	 Bridge.callRetStr('s_ClientUtil_execScript' ,script, null, null,null,null,null,null);
};
ClientUtil.openAdminSelectedAppUI = function(){
	 Bridge.callRetStr('s_ClientUtil_openAdminSelectedAppUI' ,null, null, null,null,null,null,null);
};
ClientUtil.openApp = function(appid,parameterInfos)
{
	 var len = parameterInfos.length;
	 var text = "[";
	 for(var i = 0; i < len ; i++)
	 {
	 	  var o = parameterInfos[i];
	 	  text = text + '{\"key\":\"' + o.key + '\",';
	 	   text = text + '\"value\":\"' + o.value + '\"}';
	 	  if(i != len - 1)
	 	  {
	 	  	 text = text + ",";
	 	  }
	 }
	 text = text + "]";	
	 Bridge.callRetStr('s_ClientUtil_openApp' ,appid, text, null,null,null,null,null);
};
ClientUtil.random = function(start,end)
{
	 return stringToInt(Bridge.callRetStr('s_ClientUtil_random' ,start,end, null,null,null,null,null));
};
ClientUtil.clearDownload = function()
{
	 return stringToBool(Bridge.callRetStr('s_ClientUtil_clearDownload' ,null,null, null,null,null,null,null));
};
ClientUtil.download = function(url,dstpath, successCallFun,errorCallFun,isblock)
{
	 if(arguments.length == 5)
	 {
	 	  //五个参数全齐
	 }
	 else if(arguments.length == 4)
	 {
	 	  isblock = null;
	 }
	 else if(arguments.length == 3)
	 {
	 	  isblock = null;
	 	  errorCallFun = null;
	 }
	 else if(arguments.length == 2)
	 {
	 	 isblock = null;
	 	 errorCallFun = null;
	 	 successCallFun = null;
	 }
	 else if(arguments.length == 1)
	 {
	 	 isblock = null;
	 	 errorCallFun = null;
	 	 successCallFun = null;
	 	 dstpath = null;
	 }	 
	 Bridge.callByNotify(WebkitDownloadSuccessCallBack,successCallFun,WebkitDownloadErrorCallBack,errorCallFun,null,'s_ClientUtil_download' ,url, dstpath, isblock,null,null,null,null);
};
function WebkitDownloadSuccessCallBack(id,path)
{		
		var callback = Bridge.callbacks[id];
		if(callback.usercallback1)	
		{
			callback.usercallback1(path);	
		}		
}
function WebkitDownloadErrorCallBack(id,path)
{		
		var callback = Bridge.callbacks[id];
		if(callback.usercallback2)	
		{
			callback.usercallback2(path);
		}		
}
ClientUtil.getDownloadInfos = function(downloadType)
{
	 if(arguments.length == 0)
	 {
	 	 downloadType = "0";
	 }
   var str = Bridge.callRetStr('s_ClientUtil_getDownloadInfos' ,downloadType, null, null,null,null,null,null);
   return JSON.parse(str);
};
ClientUtil.getAppId = function(){
	 return Bridge.callRetStr('s_ClientUtil_getAppId' ,null,null, null,null,null,null,null);
};
ClientUtil.getApplicationInfos = function()
{
   var str = Bridge.callRetStr('s_ClientUtil_getApplicationInfos' ,null, null, null,null,null,null,null);
   return JSON.parse(str);
};
ClientUtil.getAppPath = function(){
	 return Bridge.callRetStr('s_ClientUtil_getAppPath' ,null,null, null,null,null,null,null);
};
ClientUtil.getDB = function(appid)
{
	 var id = webkitobjectid;
   var str = Bridge.callRetStr('s_ClientUtil_getDB' ,appid, id, null,null,null,null,null);
   var b = stringToBool(str);
   if(b)
   {
   		//创建新的db,db的id会在构造函数中自增 并且等于 id
   		var db = new DB();
   		return db;
   }
   else
   {
   	  return null;
   }  
};
//多媒体操作工具类
var MediaUtil = {};
MediaUtil.beep = function(audioPath){
	if(arguments.length==0)
	{
	Bridge.callRetStr('s_MediaUtil_beep',null, null, null,null,null,null,null);
	}else
	{
	Bridge.callRetStr('s_MediaUtil_beep',audioPath, null, null,null,null,null,null);
	}
	
}
MediaUtil.openVideo = function(path){
	Bridge.callRetStr('s_MediaUtil_openVideo' ,path, null, null,null,null,null,null);
}
MediaUtil.getAudioPlayer = function(){
	var obj = new AudioPlayer();
    return obj;
}
MediaUtil.getRecord = function(){
	var obj = new Record();
    return obj;
}
//音频对象
var AudioPlayer = function()
{
    this.objName = "audioplayer";

    this.start = function(url, isLooping)
    {
        return stringToBool(Bridge.callRetStr('s_AudioPlayer_start',url, isLooping, null, null, null,null,null));
    };
    this.seekTo = function(position)
    {
        return stringToBool(Bridge.callRetStr('s_AudioPlayer_seekTo',position, null, null, null, null,null,null));
    };
    this.pause = function()
    {
        return stringToBool(Bridge.callRetStr('s_AudioPlayer_pause',null, null, null, null, null,null,null));
    };
    this.resume = function()
    {
        return stringToBool(Bridge.callRetStr('s_AudioPlayer_resume',null, null, null, null, null,null,null));
    };
    this.stop = function(position)
    {
        return stringToBool(Bridge.callRetStr('s_AudioPlayer_stop',null, null, null, null, null,null,null));
    };
    this.getDuration = function()
    {
        return stringToInt(Bridge.callRetStr('s_AudioPlayer_getDuration',null, null, null, null, null,null,null));
    };
    this.getStatus = function()
    {
        return stringToInt(Bridge.callRetStr('s_AudioPlayer_getStatus',null, null, null, null, null,null,null));
    };
    this.getCurrentPosition = function()
    {
        return stringToInt(Bridge.callRetStr('s_AudioPlayer_getCurrentPosition',null, null, null, null, null,null,null));
    };
    this.isLooping = function()
    {
        return stringToBool(Bridge.callRetStr('s_AudioPlayer_isLooping',null, null, null, null, null,null,null));
    };
    this.setVolume = function(volume)
    {
        return stringToBool(Bridge.callRetStr('s_AudioPlayer_setVolume',volume, null, null, null, null,null,null));
    };
    this.getVolume = function()
    {
        return stringToInt(Bridge.callRetStr('s_AudioPlayer_getVolume',null, null, null, null, null,null,null));
    };
    this.volumeUp = function()
    {
        return stringToInt(Bridge.callRetStr('s_AudioPlayer_volumeUp',null, null, null, null, null,null,null));
    };
    this.volumeDown = function()
    {
        return stringToInt(Bridge.callRetStr('s_AudioPlayer_volumeDown',null, null, null, null, null,null,null));
    }
}

//录音对象
var Record = function()
{
    this.objName = "record";
    this.value = "";
    this.recordtime = 0;
    this.path = "";
    this.maxtime = 0;

    this.startRecord = function()
    {
        //初始化
        this.value = "";
        this.recordtime = 0;
        
        //对录音对象进行赋值
        Bridge.callRetStr('s_Record_path',this.path, null, null, null, null,null,null);
        Bridge.callRetStr('s_Record_maxtime',this.maxtime, null, null, null, null,null,null);
        
        //开始录音
        Bridge.callRetStr('s_Record_startRecord',null, null, null, null, null,null,null);
    };
    this.isRecord = function()
    {
        return stringToBool(Bridge.callRetStr('s_Record_isRecord',null, null, null, null, null,null,null));
    };
    this.stopRecord = function()
    {
        Bridge.callRetStr('s_Record_stopRecord',null, null, null, null, null,null,null);
        
        //结束录音时候，同时把录音时间、音频文件路径信息保存下来
        this.value = Bridge.callRetStr('s_Record_value',null, null, null, null, null,null,null);
        this.recordtime = stringToInt(Bridge.callRetStr('s_Record_recordtime',null, null, null, null, null,null,null));
    };
}

/*网络工具类*/
var NetworkUtil = {};
//获取apn
NetworkUtil.getApn = function()
{	
   return Bridge.callRetStr('s_NetworkUtil_getApn' ,null, null, null, null, null,null,null);
};
//获取当前网络类型
NetworkUtil.getConnectionType = function()
{
   return stringToInt(Bridge.callRetStr('s_NetworkUtil_getConnectionType', null, null, null, null, null,null,null));
};
//获取当前网络ip地址
NetworkUtil.getNetIp = function()
{	
   return Bridge.callRetStr('s_NetworkUtil_getNetIp',null, null, null, null, null,null,null);
}; 
NetworkUtil.getConnectState = function(netType)
{
   return stringToBool(Bridge.callRetStr('s_NetworkUtil_getConnectState', netType, null, null, null, null,null,null));
};
NetworkUtil.openApnSetting = function()
{	
   Bridge.callRetStr('s_NetworkUtil_openApnSetting',null, null, null, null, null,null,null);
}; 
NetworkUtil.startApnSetting = function()
{
   return stringToBool(Bridge.callRetStr('s_NetworkUtil_startApnSetting', null, null, null, null, null,null,null));
};
NetworkUtil.startConnectSetting = function()
{
   return stringToBool(Bridge.callRetStr('s_NetworkUtil_startConnectSetting', null, null, null, null, null,null,null));
};
NetworkUtil.getMobileConnectType = function()
{
   return stringToInt(Bridge.callRetStr('s_NetworkUtil_getMobileConnectType', null, null, null, null, null,null,null));
};


//系统原生程序相关操作类
var NativeUtil = {};
NativeUtil.getNativeVersion = function(packagename)
{	
   return Bridge.callRetStr('s_NativeUtil_getNativeVersion' ,packagename, null, null, null, null,null,null);
}; 
NativeUtil.startActivity = function(packagename,activity, parameter,type,errorCallFun)
{	
		if(arguments.length == 5)
		{
				
		}
		else if(arguments.length == 4)
		{
			 errorCallFun = null;
		}
		else if(arguments.length == 3)
		{
			 errorCallFun = null;
			 type = null;
		}
		else if(arguments.length == 2)
		{
			 errorCallFun = null;
			 type = null;
			 parameter = null;
		}
    Bridge.callByNotify(startActivityErrorCallFun,errorCallFun,null,null,null,'s_NativeUtil_startActivity' ,packagename, activity, parameter, type, null,null,null);
}; 
function startActivityErrorCallFun(id,result){
		//获取回调对象
		var callback = Bridge.callbacks[id];
		if(callback.usercallback1)
		{
			callback.usercallback1(result);
		}		
}

NativeUtil.openSharedApp = function(url,param,downloadurl,alertmsg)
{
		if(arguments.length == 4)
	  {
	  	
	  }
	  else if(arguments.length == 3)
	  {
	  	alertmsg = null;
	  }
	  else if(arguments.length == 2)
	  {
	  	alertmsg = null;
	  	downloadurl = null;
	  }
	  else if(arguments.length == 1)
	  {
	  	alertmsg = null;
	  	downloadurl = null;
	  	param = null;
	  }
	  Bridge.callRetStr('s_NativeUtil_openSharedApp' ,url, param, downloadurl, alertmsg, null,null,null)
};


NativeUtil.installApk = function(apkFilePath,successCallBack)
{	
   Bridge.callByNotify(_successCallBack,successCallBack,null,null,null,'s_NativeUtil_installApk' ,apkFilePath, null, null, null, null,null,null);
}; 
function _successCallBack(id,packagename){
		//获取回调对象
		var callback = Bridge.callbacks[id];
		//调用回调函数
		callback.usercallback1(packagename);
}
NativeUtil.isAppInstalled = function(packagename)
{	
   return stringToBool(Bridge.callRetStr('s_NativeUtil_isAppInstalled' ,packagename, null, null, null, null,null,null));
};
NativeUtil.uninstallApk = function(apkFilePath,successCallBack)
{	
   Bridge.callByNotify(_successCallBack,successCallBack,null,null,null,'s_NativeUtil_uninstallApk' ,apkFilePath, null, null, null, null,null,null);
}; 
function _successCallBack(id,packagename){
		//获取回调对象
		var callback = Bridge.callbacks[id];
		//调用回调函数
		callback.usercallback1(packagename);
}
NativeUtil.selectCameraPhoto = function(callFunction,pwidth)
{	
   Bridge.callByNotify(_callFunction,callFunction,null,null,null,'s_NativeUtil_selectCameraPhoto' ,pwidth, null, null, null, null,null,null);
}; 
function _callFunction(id,path){
		//获取回调对象
		var callback = Bridge.callbacks[id];
		//调用回调函数
		callback.usercallback1(path);
}
NativeUtil.saveToAlbum = function(imgPath)
{	
   return stringToBool(Bridge.callRetStr('s_NativeUtil_saveToAlbum' ,imgPath, null, null, null, null,null,null));
};
NativeUtil.openImageContent = function(imgBase64)
{	
   return stringToBool(Bridge.callRetStr('s_NativeUtil_openImageContent' ,imgBase64, null, null, null, null,null,null));
};
NativeUtil.open = function(filePath)
{	
   Bridge.callRetStr('s_NativeUtil_open' ,filePath, null, null, null, null,null,null);
};
NativeUtil.startWifiServer = function()
{	
   Bridge.callRetStr('s_NativeUtil_startWifiServer' ,null, null, null, null, null,null,null);
};
NativeUtil.browser = function(url)
{	
   Bridge.callRetStr('s_NativeUtil_browser' ,url, null, null, null, null,null,null);
};



var CellIdInfo = function()
{
	var text = '{"objName":"cellidinfo","cellId":"","countryCode":"","networkCode":"","locationAreaCode":"","radioType":""}';
	return JSON.parse(text);
}


//File对象
var File = function(filepath,isforder)
{
	 this.filePath = filepath;
	 this.isForder = isforder;
	 this.objName = "file";
	 if(arguments.length == 1)
	 {
	 	 		this.isForder = false;
	 }
	 this.isFolder = function()
	 {
	 		return stringToBool(Bridge.callRetStr('s_File_isFolder'  ,filepath, isforder, null, null, null,null,null));
	 }; 
	 this.getParent = function()
	 {
	 	  return Bridge.callRetStr('s_File_getParent'  ,filepath, isforder, null, null, null,null,null);
	 };
	 this.exists = function()
	 {
	 	  return stringToBool(Bridge.callRetStr('s_File_exists'  ,filepath, isforder, null, null, null,null,null));
	 };
	 this.length = function()
	 {
	 	   return stringToInt(Bridge.callRetStr('s_File_length'  ,filepath, isforder, null, null, null,null,null));
	 };
	 this.deleteFile = function()
	 {	 		
	 		return stringToBool(Bridge.callRetStr('s_File_deleteFile'  ,filepath, isforder, null, null, null,null,null));
	 };
	 this.mkdir = function()
	 {
	 		return stringToBool(Bridge.callRetStr('s_File_mkdir'  ,filepath, isforder, null, null, null,null,null));
	 };
	 this.mkdirs = function()
	 {
	 		return stringToBool(Bridge.callRetStr('s_File_mkdirs'  ,filepath, isforder, null, null, null,null,null));
	 };
	 this.createFile = function()
	 {
	 		return stringToBool(Bridge.callRetStr('s_File_createFile'  ,filepath, isforder, null, null, null,null,null));
	 };	
	 this.renameTo = function(destPath)
	 {
	 		return stringToBool(Bridge.callRetStr('s_File_renameTo'  ,filepath, isforder, destPath, null, null,null,null));
	 };	
	 this.copyTo = function(destPath)
	 {
	 		return stringToBool(Bridge.callRetStr('s_File_copyTo'  ,filepath, isforder, destPath, null, null,null,null));
	 };	
   this.getFilePath = function()
	 {
	 		return Bridge.callRetStr('s_File_getFilePath'  ,filepath, isforder, null, null, null,null,null);
	 };
	 this.getFileName = function()
	 {
	 		return Bridge.callRetStr('s_File_getFileName'  ,filepath, isforder, null, null, null,null,null);
	 }; 
	 this.getModifiedDate = function()
	 {
	 	  var text = Bridge.callRetStr('s_File_getModifiedDate'  ,filepath, isforder, null, null, null,null,null);
	 	  Log.i("date",text);	 	  
	 	  var v = new Date(text);
	 	  return v;
	 };
	 this.list = function(filter)
	 {	 	 
	 	   if(arguments.length == 0)
	 	   {
	 	   	 filter = "";
	 	   }
	 	   var text = Bridge.callRetStr('s_File_list'  ,filepath, isforder, filter, null, null,null,null);	 	  
	 	   var v = JSON.parse(text);	 	  
	 	   var arr = new Array();
	 	   for(var i = 0; i < v.length;i++)
	 	   {
	 	   	 arr.push(v[i].name);
	 	   }
	 	   return arr;
	 };
   this.listFiles = function(filter)
	 {	 	 
	 	   if(arguments.length == 0)
	 	   {
	 	   	 filter = "";
	 	   }
	 	   var text = Bridge.callRetStr('s_File_listFiles'  ,filepath, isforder, filter, null, null,null,null);	 	   
	 	   var v = JSON.parse(text);	 	   
	 	   var arr = new Array();
	 	   for(var i = 0; i < v.length;i++)
	 	   {
	 	   	 var tmpfile = new File(v[i].name,stringToBool(v[i].isforder));
	 	   	 arr.push(tmpfile);
	 	   }
	 	   return arr;
	 };
}


//解码类处理 需要new Decode()
var Decode = function(){
  	this.objName = "decodewindow";
    this.onCallback = null;
    this.result = "";
	  this.time = "";
	  this.success = "false";
	  var context = this;
    this.startDecode = function(){
    	    //调用
         Bridge.callByNotify(_Decode_onCallback,null,null,null,context,"s_Decode_startDecord",null, null, null, null, null,null,null);
    };

};
//解码回调函数
function _Decode_onCallback(id, success, result, time){
    
    var callback =  Bridge.callbacks[id];
    if (callback.object == null){
      
       return;
    }else{
    	var decode = callback.object;
		  decode.result = result;
		  decode.time = time;
		  decode.isSuccess = function(){
      return success == "true";
      }
      if(decode.onCallback !=null)
      {
         	decode.onCallback();
      }
    }
}




//Ajax类处理 new Ajax()
var Ajax = function(url,method,data,ajaxSuccessFunction,ajaxFailFunction,requestHeader,isShowProgress)
{	  
	  this.objName = "exmobiajax";
	  this.url = url;
	  this.method = method;
	  this.data = data;
	  this.onAjaxSuccessCallback = ajaxSuccessFunction;
    this.onAjaxFailCallback = ajaxFailFunction;
	  this.requestHeader = requestHeader;
	  this.isShowProgress = isShowProgress;
		var count = arguments.length;
		if(count == 6)
		{
			this.isShowProgress = null;
		}
		else if(count == 5)
		{
			this.isShowProgress = null;
			this.requestHeader = null;
		}
		else if(count == 4)
		{
			this.isShowProgress = null;
			this.requestHeader = null;
			this.onAjaxFailCallback = null;
		}
		else if(count == 3)
		{
			this.isShowProgress = null;
			this.requestHeader = null;
			this.onAjaxFailCallback = null;
			this.onAjaxSuccessCallback = null;
		}
		else if(count == 2)
		{
			this.isShowProgress = null;
			this.requestHeader = null;
			this.onAjaxFailCallback = null;
			this.onAjaxSuccessCallback = null;
			this.data = null;
		}
		else if(count == 1)
		{
			this.isShowProgress = null;
			this.requestHeader = null;
			this.onAjaxFailCallback = null;
			this.onAjaxSuccessCallback = null;
			this.data = null;
			this.method = null;
			this.url = JsonObjectToString(url);			
			if(typeof url.successFunction == "string")
			{
				this.onAjaxSuccessCallback = eval(url.successFunction);				
			}
			if(typeof url.failFunction == "string")
			{
				this.onAjaxFailCallback = eval(url.failFunction);
			}
		}
		
    var context = this;
   
    this.status = null;
    this.responseText = null;
    this.StringData = new WKHashMap();
    this.ArrayData = new WKHashMap();
    this.send = function()
    {
    	 
   		 Log.i("ajax",this.url + " " + this.method + " " + this.data + " " + this.requestHeader + " " + this.isShowProgress);
       //存储callid与回调函数名
       Bridge.callByNotify(_Ajax_onSuccessCallback,null,_Ajax_onFailCallback,null,context,'s_Ajax_send' ,this.url, this.method, this.data, this.requestHeader, this.isShowProgress,null,null);
    };
    this.responseToFile = function(data)
    {
    	 //Log.i("Webkit Ajax responseToFile",this.responseText);
    	 var text = Bridge.callRetStr('s_Ajax_responseToFile',this.responseText,data, null, null, null,null,null);
    	 return stringToBool(text)
    };
    this.responseToXml = function()
    {    	
    	  //Log.i("Webkit Ajax responseToXml",this.responseText);
 				return loadXML(this.responseText);
    };
    this.setStringData = function(key,value)
    {
    	 this.StringData.put(key,value); 
    };
    this.getStringData = function(key)
    {
    	return this.StringData.get(key); 
    };
    this.setArrayData = function(key,value)
    {
    	this.ArrayData.put(key,value); 
    };
    this.getArrayData = function(key)
    {
    	return this.ArrayData.get(key); 
    };
}
//Ajax成功回调
function _Ajax_onSuccessCallback(id, status, responseText)
{
     Log.i("Webkit", "bridgeclient is _Ajax_onSuccessCallback, status=" + status 
		+ ", responseText=" + responseText + ",  callId=" + id);
    var callback =  Bridge.callbacks[id];
    if (callback.object == null)
    {     
       return;
    }
    else
    {
    	 var ajax = callback.object;
       ajax.status = status;
       ajax.responseText = responseText;
       if (ajax.onAjaxSuccessCallback != null){
    	   
          ajax.onAjaxSuccessCallback(ajax);
       }
    }
}
//Ajax失败回调
function _Ajax_onFailCallback(id, status, responseText)
{
    Log.i("Webkit", "bridgeclient is _Ajax_onFailCallback, status=" + status 
		+ ", responseText=" + responseText + ",  callId=" + id);
    var callback =  Bridge.callbacks[id];
    if (callback.object == null)
    {      
       return;
    }
    else
    {
    	 var ajax = callback.object;
       ajax.status = status;
       ajax.responseText = responseText;
       if (ajax.onAjaxFailCallback != null)
       {    	   
          ajax.onAjaxFailCallback(ajax);
       }
    }
}

//DirectAjax类处理 new DirectAjax(jsonDataParameter)
var DirectAjax = function(jsonDataParameter)
{
    this.objName = "directajax";
    
    this.onAjaxSuccessCallback = null;
    this.onAjaxFailCallback = null;
    this.jsonData = jsonDataParameter;
    
    var count = arguments.length;
    if(count == 1)
    {
        this.jsonData = JsonObjectToString(jsonDataParameter);
        if(typeof jsonDataParameter.successFunction == "string")
        {
            this.onAjaxSuccessCallback = eval(jsonDataParameter.successFunction);
        }
        if(typeof jsonDataParameter.failFunction == "string")
        {
            this.onAjaxFailCallback = eval(jsonDataParameter.failFunction);
        }
    }
    
    var context = this;
    
    this.status = null;
    this.responseText = null;
    this.StringData = new WKHashMap();
    this.ArrayData = new WKHashMap();
    this.send = function()
    {
        Log.i("directajax"," jsonText: " + this.jsonData);
        //存储callid与回调函数名
        Bridge.callByNotify(_Ajax_onSuccessCallback,null,_Ajax_onFailCallback,null,context,'s_DirectAjax_send' ,this.jsonData, null, null, null, null, null, null);
    };
    this.responseToFile = function(data)
    {
        //Log.i("Webkit DirectAjax responseToFile",this.responseText);
        var text = Bridge.callRetStr('s_Ajax_responseToFile',this.responseText,data, null, null, null,null,null);
        return stringToBool(text)
    };
    this.responseToXml = function()
    {
        //Log.i("Webkit DirectAjax responseToXml",this.responseText);
        return loadXML(this.responseText);
    };
    this.setStringData = function(key,value)
    {
        this.StringData.put(key,value);
    };
    this.getStringData = function(key)
    {
    	return this.StringData.get(key);
    };
    this.setArrayData = function(key,value)
    {
    	this.ArrayData.put(key,value);
    };
    this.getArrayData = function(key)
    {
    	return this.ArrayData.get(key);
    };
};

//DirectFormSubmit类处理 new DirectDownload(jsonDataParameter)
var DirectDownload = function(jsonDataParameter)
{
    this.objName = "directdownload";
    
    this.onDirectDownloadSuccessCallback = null;
    this.onDirectDownloadFailCallback = null;
    this.jsonData = jsonDataParameter;
    
    var count = arguments.length;
    if(count == 1)
    {
        this.jsonData = JsonObjectToString(jsonDataParameter);
        if(typeof jsonDataParameter.successFunction == "string")
        {
            this.onDirectDownloadSuccessCallback = eval(jsonDataParameter.successFunction);
        }
        if(typeof jsonDataParameter.failFunction == "string")
        {
            this.onDirectDownloadFailCallback = eval(jsonDataParameter.failFunction);
        }
    }
    
    var context = this;
    
    this.status = null;
    this.path = null;
    this.StringData = new WKHashMap();
    this.ArrayData = new WKHashMap();
    this.send = function()
    {
        Log.i("DirectDownload", " jsonText: " + this.jsonData);
        //存储callid与回调函数名
        Bridge.callByNotify(_DirectDownload_onSuccessCallback,null,_DirectDownload_onFailCallback,null,context,'s_DirectDownload_send' ,this.jsonData, null, null, null, null, null, null);
    };
    this.responseToFile = function(data)
    {
        //Log.i("Webkit DirectDownload responseToFile",this.responseText);
        var text = Bridge.callRetStr('s_Ajax_responseToFile',this.path,data, null, null, null,null,null);
        return stringToBool(text)
    };
    this.responseToXml = function()
    {
        //Log.i("Webkit DirectDownload responseToXml",this.responseText);
        return loadXML(this.responseText);
    };
    this.setStringData = function(key,value)
    {
        this.StringData.put(key,value);
    };
    this.getStringData = function(key)
    {
    	return this.StringData.get(key);
    };
    this.setArrayData = function(key,value)
    {
    	this.ArrayData.put(key,value);
    };
    this.getArrayData = function(key)
    {
    	return this.ArrayData.get(key);
    };
};
//DirectDownload成功回调
function _DirectDownload_onSuccessCallback(id, status, path)
{
    Log.i("Webkit", "bridgeclient is _DirectDownload_onSuccessCallback, status=" + status
          + ", responseText=" + path + ",  callId=" + id);
    var callback =  Bridge.callbacks[id];
    if (callback.object == null)
    {
        return;
    }
    else
    {
        var ajax = callback.object;
        ajax.status = status;
        ajax.path = path;
        if (ajax.onDirectDownloadSuccessCallback != null){
            
            ajax.onDirectDownloadSuccessCallback(ajax);
        }
    }
}
//DirectDownload失败回调
function _DirectDownload_onFailCallback(id, status, path)
{
    Log.i("Webkit", "bridgeclient is _DirectDownload_onFailCallback, status=" + status
          + ", responseText=" + path + ",  callId=" + id);
    var callback =  Bridge.callbacks[id];
    if (callback.object == null)
    {
        return;
    }
    else
    {
        var ajax = callback.object;
        ajax.status = status;
        ajax.path = path;
        if (ajax.onDirectDownloadFailCallback != null)
        {
            ajax.onDirectDownloadFailCallback(ajax);
        }
    }
}

//DirectFormSubmit类处理 new DirectFormSubmit(jsonDataParameter)
var DirectFormSubmit = function(jsonDataParameter)
{
    this.objName = "directformsubmit";

    this.onAjaxSuccessCallback = null;
    this.onAjaxFailCallback = null;
    this.jsonData = jsonDataParameter;

    var count = arguments.length;
    if(count == 1)
    {
        this.jsonData = JsonObjectToString(jsonDataParameter);
        if(typeof jsonDataParameter.successFunction == "string")
        {
            this.onAjaxSuccessCallback = eval(jsonDataParameter.successFunction);
        }
        if(typeof jsonDataParameter.failFunction == "string")
        {
            this.onAjaxFailCallback = eval(jsonDataParameter.failFunction);
        }
    }
    
    var context = this;
    
    this.status = null;
    this.responseText = null;
    this.StringData = new WKHashMap();
    this.ArrayData = new WKHashMap();
    this.send = function()
    {
        Log.i("DirectFormSubmit"," jsonText: " + this.jsonData);
        //存储callid与回调函数名
        Bridge.callByNotify(_Ajax_onSuccessCallback,null,_Ajax_onFailCallback,null,context,'s_DirectFormSubmit_send' ,this.jsonData, null, null, null, null, null, null);
    };
    this.responseToFile = function(data)
    {
        //Log.i("Webkit DirectFormSubmit responseToFile",this.responseText);
        var text = Bridge.callRetStr('s_Ajax_responseToFile',this.responseText,data, null, null, null,null,null);
        return stringToBool(text)
    };
    this.responseToXml = function()
    {
        //Log.i("Webkit DirectFormSubmit responseToXml",this.responseText);
        return loadXML(this.responseText);
    };
    this.setStringData = function(key,value)
    {
        this.StringData.put(key,value);
    };
    this.getStringData = function(key)
    {
    	return this.StringData.get(key);
    };
    this.setArrayData = function(key,value)
    {
    	this.ArrayData.put(key,value);
    };
    this.getArrayData = function(key)
    {
    	return this.ArrayData.get(key);
    };
};


//Exmobi Window

var ExMobiWindow=
{	 
	 open:function(url, isNewWindow,isPop,features,param)
	 {
	 	  var count = arguments.length;
	 	  Log.i("Webkit ExmobiWindow","open arguments:" + count);
	 		if(count == 5)
	 		{
	 			 Bridge.callRetStr('s_window_open'  ,url, isNewWindow, isPop, features, param,null,null);
	 		}
	 		else if(count == 4)
	 		{
	 			 Bridge.callRetStr('s_window_open'  ,url, isNewWindow, isPop, features, null,null,null);
	 		}
	 		else if(count == 3)
 			{
 				Bridge.callRetStr('s_window_open'  ,url, isNewWindow, isPop, null, null,null,null);
 			}
 			else if(count == 2)
 			{
 				Bridge.callRetStr('s_window_open'  ,url, isNewWindow, null, null, null,null,null);
 			}
 			else
 			{
 				Bridge.callRetStr('s_window_open'  ,url, null, null, null, null,null,null);
 			}	 	  
	 },	
	 	 openData:function(data, isNewWindow,isPop,features,param)
	 {
	 	  var count = arguments.length;
	 	  Log.i("Webkit ExmobiWindow","openData arguments:" + count);
	 		if(count == 5)
	 		{
	 			 Bridge.callRetStr('s_window_openData'  ,data, isNewWindow, isPop, features, param,null,null);
	 		}
	 		else if(count == 4)
	 		{
	 			 Bridge.callRetStr('s_window_openData'  ,data, isNewWindow, isPop, features, null,null,null);
	 		}
	 		else if(count == 3)
 			{
 				Bridge.callRetStr('s_window_openData'  ,data, isNewWindow, isPop, null, null,null,null);
 			}
 			else if(count == 2)
 			{
 				Bridge.callRetStr('s_window_openData'  ,data, isNewWindow, null, null, null,null,null);
 			}
 			else
 			{
 				Bridge.callRetStr('s_window_openData'  ,data, null, null, null, null,null,null);
 			}	 	  
	 },	  
	 getParameter:function(param)
	 {
	 	  return Bridge.callRetStr('s_window_getParameter'  ,param, null, null, null, null,null,null);
	 },
	 setStringSession:function(key,value)
	 {	   
	 		Bridge.callRetStr('s_window_setStringSession'  ,key, value, null, null, null,null,null);
	 },
	 getStringSession:function(key)
	 {
	 	  var res = Bridge.callRetStr('s_window_getStringSession'  ,key, null, null, null, null,null,null);
	 	  if(res == "null")
	 	  {
	 	  	 return null;
	 	  }
	 	  return res;
	 },
	 setArraySession:function(key,array)
	 {	   	
	 	  var text = arrayToJsonString(array);	 	 
	 		Bridge.callRetStr('s_window_setArraySession'  ,key, text, null, null, null,null,null);
	 },	 
	 getArraySession:function(key)
	 { 	 
	 	  var res = Bridge.callRetStr('s_window_getArraySession'  ,key, null, null, null, null,null,null);	 	 
	 	  return jsonStringToArray(res);	
	 },
	 getPushParameters:function()
	 {
	 	  var res = Bridge.callRetStr('s_window_getPushParameters'  ,null, null, null, null, null,null,null);
	 	  if(res == "null")
	 	    return null;
	 	  return JSON.parse(res);
	 },
	 getPushParameter:function(key)
	 {	 	  
	 	  var res = Bridge.callRetStr('s_window_getPushParameter'  ,key, null, null, null, null,null,null);
	 	  return res;
	 },
	 getNativeParameter:function(key)
	 {
	 		var res = Bridge.callRetStr('s_window_getNativeParameter'  ,key, null, null, null, null,null,null);
	 	  if(res == "null")
	 	  {
	 	  	 return null;
	 	  }
	 	  return res;
	 },
	 getNativeParameters:function()
	 {
	 		var res = Bridge.callRetStr('s_window_getNativeParameters'  ,null, null, null, null, null,null,null);
	 	  return JSON.parse(res);
	 },
	 callExMobiFunction:function(script)
	 {
	 	  return Bridge.callRetStr('s_window_callExMobiFunction'  ,script, null, null, null, null,null,null);
	 },
	 	 close:function()
	 {
	 		Bridge.callRetStr('s_window_close'  ,null, null, null, null, null,null,null);	
	 }
};


function ParameterInfo()
{
    this.objName = "parameterinfo";
    this.key = "";
    this.value = "";
}


//图片选择
var ImageChoice = function()
{
   
    this.objName = "imagechoice";
	this.nums  = 5;
    this.onCallback  = null;
    this.pwidth = 0;
    this.rsultjson = "";
    this.path = "sys:data/tmp";
    
    var context = this;
    this.start = function()
    {
         Bridge.callByNotify(_imageChoice_onCallback,null,null,null,context,"s_ImageChoice_start",this.nums,this.pwidth,this.path,null,null,null,null);
    };
   
     this.getFilePaths = function()
    {
        return jsonStringToArray(this.rsultjson)
    };
  
};
//ImageChoice回调函数
function _imageChoice_onCallback(id,paths)
{

    var callback =  Bridge.callbacks[id];
    if (callback.object == null)
    {
        return;
    }
    else
    {
    	var imageChoice = callback.object;
    	imageChoice.rsultjson = paths;
        if(imageChoice.onCallback != null)
        {
        var resultarray = jsonStringToArray(paths);
         imageChoice.onCallback(resultarray);
        }
    }
}

//文件选择
//FileChoice对象id
var FileChoice = function()
{
   
    this.objName = "filechoice";
    this.onCallback  = null;
    this.value = "";
    this.defaultPath="/";
    this.filter="";
    
    var context = this;
    this.start = function()
    {
         Bridge.callByNotify(_fileChoice_onCallback,null,null,null,context,"s_FileChoice_start",this.defaultPath,this.filter, null, null,null,null,null);
    };
  
};
//FileChoice回调函数
function _fileChoice_onCallback(id,path)
{

    var callback =  Bridge.callbacks[id];
    if (callback.object == null)
    {
        return;
    }
    else
    {
    	var fileChoice = callback.object;
    	fileChoice.value = path;
        if(fileChoice.onCallback != null)
        {
         fileChoice.onCallback(path);
        }
    }
}
 


function stringToBool(text)
{
	 if(text.toLowerCase() == "true" )
	 {
	 	 return true;
	 }
	 else
	 {
	 	 return false;
	 }
}

function stringToInt(text)
{
	 return parseInt(text);
}
function stringToDouble(text)
{
	 return parseFloat(text);
}

function arrayToJsonString(array)
{
		var text = "[";	 	
		var len = array.length;  
 	  for(var i = 0; i < len;i = i + 1)
 	  {
 	  	 text = text + '{\"value\":\"' + array[i] + '\"}';
 	  	 if(i != len - 1)
 	  	 {
 	  	 	  text = text + ",";
 	  	 }
 	  }	 	  
	 	text = text + "]";
	 	return text;
}
function jsonStringToArray(json)
{
	var json = JSON.parse(json);
	 var array = new Array();
	 for(var i = 0; i < json.length;i++)
	 {
	 	  var v = json[i].value;	 	 
	 	  array.push(v);	 	  
	 }
	 return array;
}

var loadXML = function(xmlString)
{
        var xmlDoc=null;
        //判断浏览器的类型
        //支持IE浏览器 
        if(!window.DOMParser && window.ActiveXObject){   //window.DOMParser 判断是否是非ie浏览器
            var xmlDomVersions = ['MSXML.2.DOMDocument.6.0','MSXML.2.DOMDocument.3.0','Microsoft.XMLDOM'];
            for(var i=0;i<xmlDomVersions.length;i++){
                try{
                    xmlDoc = new ActiveXObject(xmlDomVersions[i]);
                    xmlDoc.async = false;
                    xmlDoc.loadXML(xmlString); //loadXML方法载入xml字符串
                    break;
                }catch(e){
                }
            }
        }
        //支持Mozilla浏览器
        else if(window.DOMParser && document.implementation && document.implementation.createDocument)
        {        		
            try
            {
                /* DOMParser 对象解析 XML 文本并返回一个 XML Document 对象。
                 * 要使用 DOMParser，使用不带参数的构造函数来实例化它，然后调用其 parseFromString() 方法
                 * parseFromString(text, contentType) 参数text:要解析的 XML 标记 参数contentType文本的内容类型
                 * 可能是 "text/xml" 、"application/xml" 或 "application/xhtml+xml" 中的一个。注意，不支持 "text/html"。
                 */               
                domParser = new  DOMParser();
                xmlDoc = domParser.parseFromString(xmlString, 'text/xml');                
            }
            catch(e)
            {
            	
            }
        }
        else
        {
            return null;
        }

        return xmlDoc;
}

 

function JsonObjectToString(o)
{	
	var r = [];   
	if(typeof o =="string") return "\""+o.replace(/([\'\"\\])/g,"\\$1").replace(/(\n)/g,"\\n").replace(/(\r)/g,"\\r").replace(/(\t)/g,"\\t")+"\"";
  if(typeof o == "number") return "\"" + o + "\"";
 	if(typeof o == "boolean") return "\"" + o + "\"";
	if(typeof o =="undefined") return "";
	if(typeof o != "object") return o.toString();
	if(o===null) return null;
  if(o instanceof Array)
  {
     for(var i =0;i<o.length;i++)
     {
        r.push(this.JsonObjectToString(o[i]));
     }
     r="["+r.join()+"]"; 
  }
  else
  {              
     for(var i in o)
     {     	
        r.push('"'+i+'":'+this.JsonObjectToString(o[i]));
     }
     r="{"+r.join()+"}";
  }   
  return r; 
}